QGIS Application - Bug report #20282
QGIS 3.4 Not Installing
2018-10-30 07:54 PM - Michael Knopp

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer
Category: Windows Package

Affected QGIS version:3.4.0

Operating System: Windows 7 Enterprise Service Pack 1

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 28103

Description

| have downloaded QGIS-OSGeo4W-3.4.0-1-Setup-x86_64.exe and run it. Everything appears to run just fine and the installer tells me

that "QGIS 3.4.0 'Medeira' has been installed on your computer.”

However, as far as | can find it has not been.

There is no QGIS 3.4 folder in the C:Program Files folder. There is no shortcut added to the Start menu. When | do a search for qgis-bin

then only exectuables that show up are for 2.18 and 3.2.

| have zero clue what is going on.

| have re-downloaded the installer from http://qgis.org/downloads/QGIS-OSGeo4W-3.4.0-1-Setup-x86 _64.exe

History

#1 - 2018-10-31 10:31 AM - Giovanni Manghi
- Status changed from Open to Feedback

try run the installer as admin (right click, run as admin).

#2 - 2018-10-31 01:43 PM - Michael Knopp

I ran it as admin. No change.

It still runs through the complete installer. Gives no error messages or warnings, and says that it is installed.

However, it doesn't actually install anything.

#3 - 2018-10-31 05:53 PM - Giovanni Manghi
- Status changed from Feedback to Open

| remember having seen this in a distant past, and in that occasion was a matter of installing as admin.

#4 - 2018-11-01 04:45 PM - Michael Knopp
- Status changed from Open to Closed
http://qgis.org/downloads/QGIS-OSGeo4W-3.4.0-1-Setup-x86_64.exe

It was an admin issue.

Apparently, our IT department changed their permissions policy so that users no longer have admin rights. | got with my IT tech and he installed it as admin

and everything worked fine.

That being said, if there is a way to check for that, some feedback or warning about not being admin would be nice. As it was there was zero feedback that

anything went wrong.

Thank you.
